Update Agent Folder
curl --request PATCH \
--url https://api.revring.ai/v1/agent-folders/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"color": "<string>"
}
'import requests
url = "https://api.revring.ai/v1/agent-folders/{id}"
payload = {
"name": "<string>",
"color": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', color: '<string>'})
};
fetch('https://api.revring.ai/v1/agent-folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"agentCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"color": "<string>"
}
}{
"error": "invalid_body",
"details": {}
}{
"error": "unauthorized"
}{
"error": "billing_inactive"
}{
"error": "not_found"
}{
"error": "name_exists"
}Agent Folders
Update Agent Folder
Rename a folder or change its color.
PATCH
/
agent-folders
/
{id}
Update Agent Folder
Authorizations
API key for authentication. Generate API keys from the RevRing dashboard.
Path Parameters
Folder ID
Response
Folder updated
A folder for organizing agents in the dashboard
Show child attributes
Show child attributes
⌘I